Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.c13n
Interface AccountListener

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  DefaultAccountListener

public interface AccountListener
extends java.io.Serializable

This interface represents an interface for receiving account events.

Method Summary
`ConnectionPropertyValue[]` | `getAdditionalConnectionPropertyValues(javax.servlet.http.HttpSession httpSession, GroupwareSession groupwareSession, javax.servlet.http.HttpServletRequest request, Account account, com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper)` Invoked when getting additional account property values.
`ConnectionPropertyValue[]` | `getConnectionPropertyValues(javax.servlet.http.HttpSession session, com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper, Account account, ConnectionPropertyValue[] values)` Invoked when getting account property values.
`ConnectionPropertyValue[]` | `getDefaultConnectionPropertyValues(javax.servlet.http.HttpSession session, com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper, ConnectionPropertyValue[] values)` Invoked when getting default account property values.
`portlets.compoze.groupware.controls.provider.Provider` | `getDefaultProvider()` Invoked when checking for the default provider.
`java.lang.String` | `getRequiredAccountName(javax.servlet.http.HttpSession session, com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper)` Gets the name of the required account.
`boolean` | `isAccountRequired(javax.servlet.http.HttpSession session, com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper)` Checks if at least one account is required.
`boolean` | `isConfigurable()` Invoked when checking if users can configure accounts.
`boolean` | `isPropertyModifiable(ConnectionProperty connProp)` Invoked when checking if the connection property is modifiable.
`boolean` | `isPropertyRequired(ConnectionProperty connProp)` Invoked when checking if the connection property is required.
`void` | `setConnectionPropertyValues(javax.servlet.http.HttpSession session, com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper, Account account, ConnectionPropertyValue[] values)` Invoked when setting account property values.
`boolean` | `supportsMultipleAccounts()` Invoked when checking if multiple accounts are supported.

Method Detail

### isPropertyModifiable

    public boolean isPropertyModifiable(ConnectionProperty connProp)

  Invoked when checking if the connection property is modifiable.

  Parameters:
    `connProp` - the connection property
  Returns:
    `true` if the connection property is modifiable; `false` otherwise

### isPropertyRequired

    public boolean isPropertyRequired(ConnectionProperty connProp)

  Invoked when checking if the connection property is required.

  Parameters:
    `connProp` - the connection property
  Returns:
    `true` if the connection property is required; `false` otherwise

### supportsMultipleAccounts

    public boolean supportsMultipleAccounts()

  Invoked when checking if multiple accounts are supported.

  Returns:
    `true` if multiple accounts are supported; `false` otherwise

### isConfigurable

    public boolean isConfigurable()

  Invoked when checking if users can configure accounts.

  Returns:
    `true` if accounts are configurable; `false` otherwise

### getDefaultProvider

    public portlets.compoze.groupware.controls.provider.Provider getDefaultProvider()

  Invoked when checking for the default provider.

  Returns:
    the default provider

### setConnectionPropertyValues

    public void setConnectionPropertyValues(javax.servlet.http.HttpSession session,
                                            com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper,
                                            Account account,
                                            ConnectionPropertyValue[] values)
                                     throws GroupwareException

  Invoked when setting account property values.

  Parameters:
    `session` - the http session (may not be `null`)
    `userProfileWrapper` - the user profile (may not be `null`)
    `account` - the account (may not be `null`)
    `values` - an array of connection property values
  Throws:
    `GroupwareException`

### getConnectionPropertyValues

    public ConnectionPropertyValue[] getConnectionPropertyValues(javax.servlet.http.HttpSession session,
                                                                 com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper,
                                                                 Account account,
                                                                 ConnectionPropertyValue[] values)
                                                          throws GroupwareException

  Invoked when getting account property values.

  Parameters:
    `session` - the http session (may not be `null`)
    `userProfileWrapper` - the user profile (may not be `null`)
    `account` - the account (may not be `null`)
    `values` - an array of connection property values
  Returns:
    an array of connection property values
  Throws:
    `GroupwareException`

### getDefaultConnectionPropertyValues

    public ConnectionPropertyValue[] getDefaultConnectionPropertyValues(javax.servlet.http.HttpSession session,
                                                                        com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper,
                                                                        ConnectionPropertyValue[] values)
                                                                 throws GroupwareException

  Invoked when getting default account property values.

  Parameters:
    `session` - the http session (may not be `null`)
    `userProfileWrapper` - the user profile (may not be `null`)
    `values` - an array of connection property values (may not be `null`)
  Returns:
    an array of connection property values or an empty array
  Throws:
    `GroupwareException`

### getAdditionalConnectionPropertyValues

    public ConnectionPropertyValue[] getAdditionalConnectionPropertyValues(javax.servlet.http.HttpSession httpSession,
                                                                           GroupwareSession groupwareSession,
                                                                           javax.servlet.http.HttpServletRequest request,
                                                                           Account account,
                                                                           com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper)
                                                                    throws GroupwareException

  Invoked when getting additional account property values.

  Parameters:
    `httpSession` - the http session (may not be `null`)
    `groupwareSession` - the groupware session (may not be `null`)
    `account` - the grouwpware account for which to retrieve additional property values (may not be `null`)
    `userProfileWrapper` - the user profile (may not be `null`)
  Returns:
    an array of connection property values or an empty array
  Throws:
    `GroupwareException`

### isAccountRequired

    public boolean isAccountRequired(javax.servlet.http.HttpSession session,
                                     com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper)
                              throws GroupwareException

  Checks if at least one account is required.

  Parameters:
    `session` - the http session (may not be `null`)
    `userProfileWrapper` - the user profile (may not be `null`)
  Returns:
    `true` if an account is required; `false` otherwise
  Throws:
    `GroupwareException`

### getRequiredAccountName

    public java.lang.String getRequiredAccountName(javax.servlet.http.HttpSession session,
                                                   com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper)
                                            throws GroupwareException

  Gets the name of the required account.

  Parameters:
    `session` - the http session (may not be `null`)
    `userProfileWrapper` - the user profile (may not be `null`)
  Returns:
    the account name (may not be `null`)
  Throws:
    `GroupwareException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.